itpp::OFDM Class Reference
Communications Module » Digital Modulation

Class for modulating and demodulation of OFDM signals using the FFT. More...

`#include <itpp/comm/ofdm.h>`

## Public Member Functions

| OFDM (void)
| Empty constructor.
| OFDM (int inNfft, int inNcp, int inNupsample=1)
| Constructor Nfft is the size of the FFT. Ncp is the length of the cyclic prefix. Nupsample is the upsampling factor (default=1)
int | no_carriers ()
| Return the number of carriers.
void | set_parameters (const int Nfft, const int Ncp, const int inNupsample=1)
| Set parameters.
cvec | modulate (const cvec &input)
| Modulate complex data symbols. Length of `input` must be an integer multiple of `Nfft`.
void | modulate (const cvec &input, cvec &output)
| Modulate complex data symbols. Length of `input` must be an integer multiple of `Nfft`.
cvec | demodulate (const cvec &input)
| Demodulate to complex valued symbols. Length of `input` must be an integer multiple of `Nfft+Ncp`.
void | demodulate (const cvec &input, cvec &output)
| Demodulate to complex valued symbols. Length of `input` must be an integer multiple of `Nfft+Ncp`.

## Detailed Description

Class for modulating and demodulation of OFDM signals using the FFT.

The modulated signal is normalized taking into account the cyclic prefix

Definition at line 46 of file ofdm.h.

## Constructor & Destructor Documentation

## OFDM() [1/2]

itpp::OFDM::OFDM | ( | void |  | ) |

inline

Empty constructor.

Definition at line 50 of file ofdm.h.

## OFDM() [2/2]

itpp::OFDM::OFDM | ( | int | inNfft,
|  | int | inNcp,
|  | int | inNupsample = `1`
| ) |  |

Constructor Nfft is the size of the FFT. Ncp is the length of the cyclic prefix. Nupsample is the upsampling factor (default=1)

Definition at line 40 of file ofdm.cpp.

References set_parameters().

## Member Function Documentation

## no_carriers()

int itpp::OFDM::no_carriers | ( |  | ) |

inline

Return the number of carriers.

Definition at line 54 of file ofdm.h.

## set_parameters()

void itpp::OFDM::set_parameters | ( | const int | Nfft,
|  | const int | Ncp,
|  | const int | inNupsample = `1`
| ) |  |

Set parameters.

Definition at line 45 of file ofdm.cpp.

References it_assert.

Referenced by OFDM().

## modulate() [1/2]

cvec itpp::OFDM::modulate | ( | const cvec & | input | ) |

Modulate complex data symbols. Length of `input` must be an integer multiple of `Nfft`.

Definition at line 73 of file ofdm.cpp.

## modulate() [2/2]

void itpp::OFDM::modulate | ( | const cvec & | input,
|  | cvec & | output
| ) |  |

Modulate complex data symbols. Length of `input` must be an integer multiple of `Nfft`.

Definition at line 57 of file ofdm.cpp.

## demodulate() [1/2]

cvec itpp::OFDM::demodulate | ( | const cvec & | input | ) |

Demodulate to complex valued symbols. Length of `input` must be an integer multiple of `Nfft+Ncp`.

Definition at line 94 of file ofdm.cpp.

## demodulate() [2/2]

void itpp::OFDM::demodulate | ( | const cvec & | input,
|  | cvec & | output
| ) |  |

Demodulate to complex valued symbols. Length of `input` must be an integer multiple of `Nfft+Ncp`.

Definition at line 80 of file ofdm.cpp.

The documentation for this class was generated from the following files:

- itpp/comm/ofdm.h
- itpp/comm/ofdm.cpp

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8